{
	"patcher" : 	{
		"fileversion" : 1,
		"rect" : [ 904.0, 120.0, 983.0, 974.0 ],
		"bglocked" : 0,
		"defrect" : [ 904.0, 120.0, 983.0, 974.0 ],
		"openrect" : [ 0.0, 0.0, 0.0, 0.0 ],
		"openinpresentation" : 0,
		"default_fontsize" : 18.0,
		"default_fontface" : 0,
		"default_fontname" : "Arial",
		"gridonopen" : 0,
		"gridsize" : [ 20.0, 20.0 ],
		"gridsnaponopen" : 0,
		"toolbarvisible" : 1,
		"boxanimatetime" : 200,
		"imprint" : 0,
		"enablehscroll" : 1,
		"enablevscroll" : 1,
		"devicewidth" : 0.0,
		"boxes" : [ 			{
				"box" : 				{
					"maxclass" : "message",
					"text" : "open 1",
					"outlettype" : [ "" ],
					"patching_rect" : [ 20.0, 340.0, 65.0, 25.0 ],
					"fontname" : "Arial",
					"numinlets" : 2,
					"id" : "obj-4",
					"numoutlets" : 1,
					"fontsize" : 18.0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "newobj",
					"text" : "print fromJs",
					"patching_rect" : [ 360.0, 280.0, 103.0, 27.0 ],
					"fontname" : "Arial",
					"numinlets" : 1,
					"id" : "obj-3",
					"numoutlets" : 0,
					"fontsize" : 18.0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "newobj",
					"text" : "poly~ autoloadInterfaceToIP",
					"patching_rect" : [ 140.0, 440.0, 235.0, 27.0 ],
					"fontname" : "Arial",
					"numinlets" : 1,
					"id" : "obj-2",
					"numoutlets" : 0,
					"fontsize" : 18.0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "Steps for Success\n\nIn Your Mobile Device Settings\n1) Select the same WiFi service that this patch is running on (not UCI Webserver)\n\nIn Mrmr Client\n1) Choose \"1 Server(s) Detected\"\n2) Choose the available server\n3) Choose \"New\"\n4) Hit the Big Red Button",
					"linecount" : 11,
					"patching_rect" : [ 585.0, 345.0, 302.0, 209.0 ],
					"fontname" : "Arial",
					"numinlets" : 1,
					"id" : "obj-78",
					"fontface" : 2,
					"numoutlets" : 0,
					"fontsize" : 16.0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "1) Patch binds to udp 1337\n\n2) Mrmr client recognizes bonjour service\n\n3) User selects the proper IP from client menu\n\n4) User selects either PLAY or NEW from the Mrmr main window\n\n5) Mrmr client sends a \"Present\" message with the device IP\n\n6) IP is parsed and sent to tcp object",
					"linecount" : 13,
					"patching_rect" : [ 60.0, 105.0, 242.0, 171.0 ],
					"fontname" : "Arial",
					"numinlets" : 1,
					"id" : "obj-57",
					"numoutlets" : 0,
					"fontsize" : 11.0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "1) Registers a bonjour service (_osc.udp_) named \"Mrmr Server\" on port 1337\n\n2) Set's the delay times so the Mrmr commands don't get sent too fast.",
					"linecount" : 5,
					"patching_rect" : [ 630.0, 210.0, 225.0, 70.0 ],
					"fontname" : "Arial",
					"numinlets" : 1,
					"id" : "obj-35",
					"numoutlets" : 0,
					"fontsize" : 11.0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "newobj",
					"text" : "loadbang",
					"outlettype" : [ "bang" ],
					"patching_rect" : [ 555.0, 225.0, 60.0, 20.0 ],
					"fontname" : "Arial",
					"numinlets" : 1,
					"id" : "obj-26",
					"numoutlets" : 1,
					"fontsize" : 12.0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "message",
					"text" : "register \"Mrmr Server\" 1337",
					"outlettype" : [ "" ],
					"patching_rect" : [ 570.0, 270.0, 160.0, 18.0 ],
					"fontname" : "Arial",
					"numinlets" : 2,
					"id" : "obj-21",
					"numoutlets" : 1,
					"fontsize" : 12.0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "newobj",
					"text" : "js MrmrLinkDoItAll.js",
					"outlettype" : [ "", "", "", "" ],
					"patching_rect" : [ 300.0, 140.0, 122.0, 20.0 ],
					"fontname" : "Arial",
					"numinlets" : 1,
					"id" : "obj-13",
					"numoutlets" : 4,
					"fontsize" : 12.0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "newobj",
					"text" : "prepend parse",
					"outlettype" : [ "" ],
					"patching_rect" : [ 315.0, 105.0, 89.0, 20.0 ],
					"fontname" : "Arial",
					"numinlets" : 1,
					"id" : "obj-15",
					"numoutlets" : 1,
					"fontsize" : 12.0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "newobj",
					"text" : "print osc",
					"patching_rect" : [ 225.0, 105.0, 56.0, 20.0 ],
					"fontname" : "Arial",
					"numinlets" : 1,
					"id" : "obj-16",
					"numoutlets" : 0,
					"fontsize" : 12.0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "newobj",
					"text" : "osc-route /mrmr",
					"outlettype" : [ "", "" ],
					"patching_rect" : [ 225.0, 75.0, 109.0, 20.0 ],
					"fontname" : "Arial",
					"numinlets" : 1,
					"id" : "obj-17",
					"numoutlets" : 2,
					"fontsize" : 12.0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "newobj",
					"text" : "udpreceive 1337",
					"outlettype" : [ "" ],
					"patching_rect" : [ 225.0, 45.0, 99.0, 20.0 ],
					"fontname" : "Arial",
					"numinlets" : 1,
					"id" : "obj-19",
					"numoutlets" : 1,
					"fontsize" : 12.0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "newobj",
					"text" : "oscbonjour",
					"outlettype" : [ "", "", "" ],
					"patching_rect" : [ 570.0, 300.0, 72.0, 20.0 ],
					"fontname" : "Arial",
					"numinlets" : 1,
					"id" : "obj-1",
					"numoutlets" : 3,
					"fontsize" : 12.0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "panel",
					"patching_rect" : [ 500.0, 200.0, 358.0, 137.0 ],
					"bgcolor" : [ 0.917647, 0.941176, 0.447059, 1.0 ],
					"numinlets" : 1,
					"id" : "obj-52",
					"numoutlets" : 0
				}

			}
 ],
		"lines" : [ 			{
				"patchline" : 				{
					"source" : [ "obj-13", 0 ],
					"destination" : [ "obj-2", 0 ],
					"hidden" : 0,
					"midpoints" : [ 299.0, 388.0, 149.5, 431.0 ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-4", 0 ],
					"destination" : [ "obj-2", 0 ],
					"hidden" : 0,
					"midpoints" : [ 29.5, 410.0, 149.5, 417.0 ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-13", 0 ],
					"destination" : [ "obj-3", 0 ],
					"hidden" : 0,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-26", 0 ],
					"destination" : [ "obj-21", 0 ],
					"hidden" : 0,
					"midpoints" : [ 564.5, 255.0, 579.5, 255.0 ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-17", 0 ],
					"destination" : [ "obj-16", 0 ],
					"hidden" : 0,
					"midpoints" : [ 234.5, 96.0, 234.5, 96.0 ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-19", 0 ],
					"destination" : [ "obj-17", 0 ],
					"hidden" : 0,
					"midpoints" : [ 234.5, 66.0, 234.5, 66.0 ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-17", 1 ],
					"destination" : [ "obj-15", 0 ],
					"hidden" : 0,
					"midpoints" : [ 324.5, 96.0, 324.5, 96.0 ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-21", 0 ],
					"destination" : [ "obj-1", 0 ],
					"hidden" : 0,
					"midpoints" : [ 579.5, 288.0, 579.5, 288.0 ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-15", 0 ],
					"destination" : [ "obj-13", 0 ],
					"hidden" : 0,
					"midpoints" : [ 324.5, 126.0, 309.5, 126.0 ]
				}

			}
 ]
	}

}
